;InnoSetupVersion=5.2.1

[Setup]
AppName=Find and Run Robot
AppVerName=Find+Run Robot 2.80.02
AppId=Find and Run Robot
DefaultDirName={pf}\FindAndRunRobot
DefaultGroupName=FindAndRunRobot
OutputBaseFilename=in
Compression=none
AllowNoIcons=yes
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
; Source: "{tmp}\"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
; Source: "{app}\,1"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,2"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion uninsremovereadonly 
; Source: "{app}\,3"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,4"; DestDir: "{app}"; Flags: ignoreversion 
; Source: "{app}\,5"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion uninsremovereadonly 
; Source: "{app}\Scripts\"; DestDir: "{app}\Scripts"; Flags: ignoreversion 
; Source: "{app}\Helpers\"; DestDir: "{app}\Helpers"; Flags: ignoreversion 
; Source: "{app}\Skins\"; DestDir: "{app}\Skins"; Flags: ignoreversion 
; Source: "{app}\Sounds\"; DestDir: "{app}\Sounds"; Flags: ignoreversion 
; Source: "{app}\Plugins\"; DestDir: "{app}\Plugins"; Flags: onlyifdoesntexist 
; Source: "{app}\AliasGroups\"; DestDir: "{app}\AliasGroups"; Flags: ignoreversion 
; Source: "{app}\BackupIni\"; DestDir: "{app}\BackupIni"; Flags: ignoreversion 
; Source: "{app}\Icons\"; DestDir: "{app}\Icons"; Flags: ignoreversion 
; Source: "{app}\,6"; DestDir: "{app}"; 
; Source: "{commonappdata}\DonationCoder\DcUpdater\RedirectFiles\"; DestDir: "{commonappdata}\DonationCoder\DcUpdater\RedirectFiles"; Flags: ignoreversion 
; Source: "{app}\,7"; DestDir: "{app}"; Flags: skipifsourcedoesntexist onlyifdoesntexist ignoreversion 
; Source: "{app}\MyLocalData\"; DestDir: "{app}\MyLocalData"; Flags: onlyifdoesntexist 

[Run]
Filename: "{app}\FindAndRunRobot.exe"; Parameters: "-tray"; WorkingDir: "{app}"; Description: "Run Find+Run Robot Now.."; OnlyBelowVersion: 0.0,5.99; Flags: postinstall nowait
Filename: "{app}\Visit Homepage at DonationCoder.com.url"; WorkingDir: "{app}"; Description: "Visit Program Web Site"; Flags: shellexec postinstall unchecked nowait

[Icons]
Name: "{group}\Find and Run Robot"; Filename: "{app}\FindAndRunRobot.exe"; WorkingDir: "{app}"; 
Name: "{group}\Find and Run Robot - Help"; Filename: "{app}\FindAndRunRobot.chm"; 
Name: "{group}\Uninstall Find and Run Robot"; Filename: "{app}\unins000.exe"; WorkingDir: "{app}"; 
Name: "{group}\Find and Run Robot - Visit Homepage at DonationCoder.com"; Filename: "{app}\Visit Homepage at DonationCoder.com.url"; WorkingDir: "{app}"; 

[InstallDelete]
Type: filesandordirs; Name: "{app}\AliasGroups\Installed\BonusExtras"; 
Type: files; Name: "{app}\AliasGroups\Installed\core1.alias"; 
Type: files; Name: "{app}\AliasGroups\Installed\optionsbox.ico"; 
Type: files; Name: "{app}\Helpers\FBSLCalc.exe"; 
Type: files; Name: "{app}\Helpers\FBSLCalc.txt"; 
Type: files; Name: "{app}\FindAndRunRobotSystemTrayTrigger.exe"; 
Type: files; Name: "{group}\Find and Run Robot Standalone.lnk"; 
Type: files; Name: "{group}\Find and Run Robot Hotkey Tray - Use Tray Utility (uses less memory, not recommended).lnk"; 
Type: files; Name: "{group}\Find and Run Robot Hotkey Tray - Use Main Application (runs faster).lnk"; 
Type: files; Name: "{group}\Find and Run Robot - Standalone.lnk"; 
Type: files; Name: "{group}\Find and Run Robot - Tray Helper.lnk"; 
Type: files; Name: "{group}\Find and Run Robot - Visit Homepage at DonationCoder.com (check for updates).lnk"; 
Type: files; Name: "{group}\Find and Run Robot Help.lnk"; 
Type: filesandordirs; Name: "{app}\Plugins\ListPrinter"; 

[UninstallDelete]
Type: files; Name: "{userstartup}\Find And Run Robot.lnk"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
